Subject: Re: Newbie Compilation Question
From: [email-masked] (Fernandes, Hilton)

1 Nov 1997 09:22:33 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: GBradfor <[email-masked]>, [email-masked],
        [email-masked]
Cc: "Fernandes, Hilton" <[email-masked]>

On 31 Oct 97 at 15:25, GBradfor <[email-masked]> wrote:

>      I am compiling a very simple program for reading keystrokes.  
>      Specifically, I wish to use GetKeyState().  I have included windows.h 
>      in my program file, and I have linked with both user32 and glaux (the 
>      latter of which I believe may be superfluous.).  The reason I have not 
>      used the -mwindows option is that I am not trying to write a GUI-based 
>      program, just to get access to GetKeyState.  In any case, I keep 
>      getting the following two error messages:
>      
>      C:\WINDOWS\TEMP\cc0010001.o(.text+0x3a):keystate.c: undefined 
>      reference to GetKeyState@4
>      C:\WINDOWS\TEMP\cc0010001.0(.text+0x6d):keystate.c: undefined 
>      reference to GetKeyState@4
>      

Hi!

This is a (non-direct :-) consequence of what was commented in a previous 
message in this list: when you link twice to the same library, you sure have 
link problems, due to the messing of internal ld tables.

You don't link twice to the same library, but to two different libraries that 
have definitions of the same function.  

I was able to link and run normally a program that used GetKeyState().  I used 
only libuser32.a.  Here are my command lines:
	gcc -c KeyState.c
	gcc    KeyState.o -o KeyState.exe -luser32

Best regards,
++Hilton

P.S.: The message was from Colin Peters <[email-masked]>, its
subject line was "RE: Compiler, and was sent  Thu, 30 Oct 1997.

----
Hilton Fernandes
[email-masked]
http://www.geocities.com/SiliconValley/Lakes/5657
URLs and help on C++ programming and Object-Oriented Design
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".